[Git][debian-gis-team/gdal-grass][experimental] 22 commits: Revert "Update branch in gbp.conf & Vcs-Git URL."

Bas Couwenberg (@sebastic) gitlab at salsa.debian.org
Fri May 6 20:33:36 BST 2022



Bas Couwenberg pushed to branch experimental at Debian GIS Project / gdal-grass


Commits:
e0baa536 by Bas Couwenberg at 2022-05-04T11:10:27+02:00
Revert "Update branch in gbp.conf & Vcs-Git URL."

This reverts commit 92925ac9fe0c6e14917b607d5cc31449ee6d1ecc.

- - - - -
6a69c88d by Bas Couwenberg at 2022-05-04T11:36:48+02:00
New upstream version 3.4.3
- - - - -
5d960804 by Bas Couwenberg at 2022-05-04T11:36:49+02:00
Update upstream source from tag 'upstream/3.4.3'

Update to upstream version '3.4.3'
with Debian dir 3d3e5e5a2a00e60cdb537a8a795b9de01befbb2c
- - - - -
b325e8d0 by Bas Couwenberg at 2022-05-04T11:37:08+02:00
New upstream release.

- - - - -
a10c48b4 by Bas Couwenberg at 2022-05-04T11:39:11+02:00
Set distribution to unstable.

- - - - -
1f121c26 by Bas Couwenberg at 2022-05-06T16:22:42+02:00
Update branch in gbp.conf & Vcs-Git URL.

- - - - -
90baef0e by Bas Couwenberg at 2022-05-06T16:24:01+02:00
Remove VERSION check.

- - - - -
93bc5a6b by Bas Couwenberg at 2022-05-06T16:24:35+02:00
Add upstream metadata.

- - - - -
655cdab9 by Bas Couwenberg at 2022-05-06T16:25:30+02:00
Update Homepage, Upstream-Contact, and Source URLs.

- - - - -
4b5ca2b3 by Bas Couwenberg at 2022-05-06T16:33:48+02:00
Use Multi-Arch path for gdalplugins with GDAL 3.5.0.

- - - - -
8823ea34 by Bas Couwenberg at 2022-05-06T16:34:56+02:00
New upstream version 3.5.0~rc1
- - - - -
189a7eab by Bas Couwenberg at 2022-05-06T16:34:58+02:00
Update upstream source from tag 'upstream/3.5.0_rc1'

Update to upstream version '3.5.0~rc1'
with Debian dir 5b19a9e6f42e709863e41dfe6435fde1e35f4476
- - - - -
00b1b718 by Bas Couwenberg at 2022-05-06T16:35:14+02:00
New upstream release candidate.

- - - - -
d25d846f by Bas Couwenberg at 2022-05-06T16:36:13+02:00
Drop rpath patch, fixed upstream.

- - - - -
94df6ec3 by Bas Couwenberg at 2022-05-06T16:37:25+02:00
Drop obsolete README.source.

- - - - -
93961974 by Bas Couwenberg at 2022-05-06T16:37:58+02:00
Drop obsolete dirs file.

- - - - -
ee66066e by Bas Couwenberg at 2022-05-06T20:21:06+02:00
Drop obsolete dh_autoreconf overrides.

- - - - -
b9ec4c65 by Bas Couwenberg at 2022-05-06T20:21:06+02:00
Don't specify --prefix for dh_auto_configure.

- - - - -
709528d4 by Bas Couwenberg at 2022-05-06T21:00:00+02:00
Add patch to support DESTDIR, drop obsolete dh_auto_install override.

- - - - -
bd3054f8 by Bas Couwenberg at 2022-05-06T21:00:00+02:00
Add patch to not remove -g from C{,XX}FLAGS.

- - - - -
8df7f1fa by Bas Couwenberg at 2022-05-06T21:00:38+02:00
Update lintian overrides.

- - - - -
14ba4380 by Bas Couwenberg at 2022-05-06T21:29:42+02:00
Reinstate README.source to document version checks.

- - - - -


24 changed files:

- + .github/workflows/apt.txt
- + .github/workflows/build_ubuntu.sh
- + .github/workflows/test_simple.sh
- + .github/workflows/ubuntu.yml
- Makefile.in
- − VERSION
- debian/README.source
- debian/changelog
- debian/control
- debian/copyright
- − debian/dirs
- debian/lintian-overrides
- + debian/patches/debug-symbols.patch
- + debian/patches/destdir.patch
- − debian/patches/rpath
- debian/patches/series
- debian/rules
- + debian/upstream/metadata
- debian/watch
- grass.cpp
- ogrgrass.h
- ogrgrassdatasource.cpp
- ogrgrassdriver.cpp
- ogrgrasslayer.cpp


Changes:

=====================================
.github/workflows/apt.txt
=====================================
@@ -0,0 +1,6 @@
+gdal-bin
+grass
+grass-dev
+libgdal-dev
+libpq-dev
+pkg-config


=====================================
.github/workflows/build_ubuntu.sh
=====================================
@@ -0,0 +1,29 @@
+#!/usr/bin/env bash
+
+# fail on non-zero return code from a subprocess
+set -e
+
+# print commands
+set -x
+
+if [ -z "$1" ]; then
+    echo "Usage: $0 GDAL_AUTOLOAD_DIR"
+    exit 1
+fi
+
+# non-existent variables as an errors
+set -u
+
+# versionless in future?
+GRASS=grass$(pkg-config --modversion grass | cut -d. -f1,2 | sed 's+\.++g')
+
+export GDAL_AUTOLOAD_DIR=$1
+
+./configure \
+    --prefix=/usr \
+    --with-autoload=${GDAL_AUTOLOAD_DIR} \
+    --with-grass=/usr/lib/${GRASS} \
+    --with-postgres-includes=$(pg_config --includedir)
+
+make
+make install


=====================================
.github/workflows/test_simple.sh
=====================================
@@ -0,0 +1,34 @@
+#!/usr/bin/env bash
+
+# fail on non-zero return code from a subprocess
+set -e
+
+# print commands
+set -x
+
+if [ -z "$1" ]; then
+    echo "Usage: $0 GDAL_AUTOLOAD_DIR"
+    exit 1
+fi
+
+# non-existent variables as an errors
+set -u
+
+export GDAL_AUTOLOAD_DIR=$1
+export GDAL_DRIVER_PATH=${GDAL_AUTOLOAD_DIR}
+
+# add small GRASS GIS dataset for tests
+(mkdir -p $HOME/grassdata && \
+ cd $HOME/grassdata/ && \
+ wget -c --quiet https://grass.osgeo.org/sampledata/north_carolina/nc_spm_08_micro.zip && \
+ unzip nc_spm_08_micro.zip && \
+ rm -f nc_spm_08_micro.zip )
+
+# Using LD_LIBRARY_PATH workaround for GRASS GIS < 7.8.8
+export LD_LIBRARY_PATH=$(grass --config path)/lib
+
+# test GRASS GIS raster map
+gdalinfo $HOME/grassdata/nc_spm_08_micro/PERMANENT/cellhd/elevation
+
+# test GRASS GIS vector map
+ogrinfo -so -al $HOME/grassdata/nc_spm_08_micro/PERMANENT/vector/firestations/head


=====================================
.github/workflows/ubuntu.yml
=====================================
@@ -0,0 +1,23 @@
+name: Build on Ubuntu
+on: [push]
+
+jobs:
+  build:
+    runs-on: ubuntu-latest
+    steps:
+      - name: Check out repository code
+        uses: actions/checkout at v3
+      - name: Get dependencies
+        run: |
+          sudo apt-get update -y
+          sudo apt-get install -y wget git gawk findutils
+          xargs -a <(awk '! /^ *(#|$)/' ".github/workflows/apt.txt") -r -- \
+              sudo apt-get install -y --no-install-recommends --no-install-suggests
+      - name: Create GDAL_AUTOLOAD directory
+        run: |
+          mkdir $HOME/gdalplugins
+      - name: Build
+        run: .github/workflows/build_ubuntu.sh $HOME/gdalplugins
+      - name: Test executing of GDAL with driver on GRASS maps
+        run: .github/workflows/test_simple.sh $HOME/gdalplugins
+


=====================================
Makefile.in
=====================================
@@ -34,10 +34,10 @@ distclean: clean
 
 
 $(GLIBNAME):	grass.o
-	$(LD_SHARED) $(LDFLAGS) grass.o $(LIBS) -o $(GLIBNAME)
+	$(LD_SHARED) $(LDFLAGS) grass.o $(LIBS) -o $(GLIBNAME) -Wl,-rpath,"@GRASS_GISBASE@/lib"
 
 $(OLIBNAME):	ogrgrassdriver.o ogrgrassdatasource.o ogrgrasslayer.o
-	$(LD_SHARED) $(LDFLAGS) ogrgrassdriver.o ogrgrassdatasource.o ogrgrasslayer.o $(LIBS) -o $(OLIBNAME)
+	$(LD_SHARED) $(LDFLAGS) ogrgrassdriver.o ogrgrassdatasource.o ogrgrasslayer.o $(LIBS) -o $(OLIBNAME) -Wl,-rpath,"@GRASS_GISBASE@/lib"
 
 %.o:	%.cpp
 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<


=====================================
VERSION deleted
=====================================
@@ -1 +0,0 @@
-3.4.3


=====================================
debian/README.source
=====================================
@@ -1,19 +1,27 @@
-How to create an upstream tarball for the gdal-grass plugin
------------------------------------------------------------
+GDAL-GRASS for Debian
+---------------------
 
-The gdal-grass source tarball can be generated starting from
-the gdal debianized source as follows:
+The GDAL plugins are tightly coupled to the version of GDAL and GRASS
+they were built with.
 
-apt-get source gdal
-dpkg-source -x gdal_*-*.dsc
-cd gdal-*
-debian/rules gdal-grass
+The libgdal-grass package needs to be rebuilt whenever a new revision
+of the grass package is uploaded. This includes binNMUs.
 
-It will generate a gdal-grass upstream tarball in the directory
-where you unpack the Debian sources.
+GRASS performs a version check which includes the build timestamp,
+which can trigger errors like this:
 
-The gdal source provides the gdal-grass stanza since 1.5.2-1,
-with previous versions you need to create the tarball by
-configuring the package and run `make dist' within the
-frmts/grass directory.
+ ERROR: Module built against version 2020-12-21T21:08:55+00:00 but
+        trying to use version 2021-12-06T03:01:50+00:00. You need to
+        rebuild GRASS GIS or untangle multiple installations.
+
+The libgdal-grass package also needs to be rebuilt whenever the GDAL
+major or minor version changes.
+
+The GDAL version check an trigger errors like this:
+
+ ERROR 1: GDAL/GRASS driver was compiled against GDAL 2.1, but the
+ current library version is 2.2
+
+ ERROR 1: OGR/GRASS driver was compiled against GDAL 2.1, but the
+ current library version is 2.2
 


=====================================
debian/changelog
=====================================
@@ -1,3 +1,26 @@
+libgdal-grass (3.5.0~rc1-1) UNRELEASED; urgency=medium
+
+  * New upstream release candidate.
+  * Remove VERSION check.
+  * Add upstream metadata.
+  * Update watch file to use GitHub tags.
+  * Use Multi-Arch path for gdalplugins with GDAL 3.5.0.
+  * Drop rpath patch, fixed upstream.
+  * Drop obsolete dirs file.
+  * Drop obsolete dh_autoreconf overrides.
+  * Add patch to support DESTDIR, drop obsolete dh_auto_install override..
+  * Add patch to not remove -g from C{,XX}FLAGS.
+  * Update lintian overrides.
+
+ -- Bas Couwenberg <sebastic at debian.org>  Fri, 06 May 2022 16:35:02 +0200
+
+libgdal-grass (3.4.3-1) unstable; urgency=medium
+
+  * New upstream release.
+  * Move from experimental to unstable.
+
+ -- Bas Couwenberg <sebastic at debian.org>  Wed, 04 May 2022 11:38:40 +0200
+
 libgdal-grass (3.4.3~rc1-1~exp1) experimental; urgency=medium
 
   * New upstream release candidate.


=====================================
debian/control
=====================================
@@ -7,13 +7,13 @@ Priority: optional
 Build-Depends: debhelper-compat (= 12),
                grass (>= 8.0.1),
                grass-dev (>= 8.0.1),
-               libgdal-dev (>= 3.4.3~),
+               libgdal-dev (>= 3.5.0~),
                libpq-dev,
                pkg-config
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/gdal-grass
 Vcs-Git: https://salsa.debian.org/debian-gis-team/gdal-grass.git -b experimental
-Homepage: http://www.gdal.org/
+Homepage: https://github.com/OSGeo/gdal-grass
 
 Package: libgdal-grass
 Architecture: any


=====================================
debian/copyright
=====================================
@@ -1,11 +1,7 @@
 Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: GDAL-GRASS
-Upstream-Contact: Frank Warmerdam <warmerdam at pobox.com>,
- Radim Blazek <radim.blazek at gmail.com>
-Source: GDAL-GRASS source is extracted from the GDAL source.
- The gdal-grass target in gdal debian/rules creates the tarball from
- the frmts/grass directory in the gdal source. GDAL is downloaded
- from http://www.gdal.org/
+Upstream-Contact: GDAL-GRASS Developers <gdal-dev at lists.osgeo.org>
+Source: https://github.com/OSGeo/gdal-grass
 
 Files: *
 Copyright: 2007-2020, Even Rouault <even dot rouault at spatialys.com>


=====================================
debian/dirs deleted
=====================================
@@ -1 +0,0 @@
-usr/lib


=====================================
debian/lintian-overrides
=====================================
@@ -1,3 +1,3 @@
 # The run path has been added to get GRASS internal library
-custom-library-search-path RUNPATH /usr/lib/grass*/lib [usr/lib/gdalplugins/*_GRASS.so]
+custom-library-search-path RUNPATH /usr/lib/grass*/lib *
 


=====================================
debian/patches/debug-symbols.patch
=====================================
@@ -0,0 +1,18 @@
+Description: Don't remove -g from C{,XX}FLAGS.
+Author: Bas Couwenberg <sebastic at debian.org>
+Forwarded: https://github.com/OSGeo/gdal-grass/pull/6
+
+--- a/aclocal.m4
++++ b/aclocal.m4
+@@ -19,11 +19,6 @@ AC_DEFUN(AC_COMPILER_LOCALHACK,
+ 
+ AC_DEFUN(AC_COMPILER_WFLAGS,
+ [
+-	# Remove -g from compile flags, we will add via CFG variable if
+-	# we need it.
+-	CXXFLAGS=`echo "$CXXFLAGS " | sed "s/-g //"`
+-	CFLAGS=`echo "$CFLAGS " | sed "s/-g //"`
+-
+ 	# check for GNU compiler, and use -Wall
+ 	if test "$GCC" = "yes"; then
+ 		C_WFLAGS="-Wall"


=====================================
debian/patches/destdir.patch
=====================================
@@ -0,0 +1,20 @@
+Description: Support DESTDIR in install target.
+ https://www.gnu.org/prep/standards/html_node/DESTDIR.html
+Author: Bas Couwenberg <sebastic at debian.org>
+Forwarded: https://github.com/OSGeo/gdal-grass/pull/5
+
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -22,9 +22,9 @@ OLIBNAME =	ogr_GRASS.so
+ default:	$(GLIBNAME) $(OLIBNAME)
+ 
+ install:	default
+-	install -d $(AUTOLOAD_DIR)
+-	cp $(GLIBNAME) $(AUTOLOAD_DIR)
+-	cp $(OLIBNAME) $(AUTOLOAD_DIR)
++	install -d $(DESTDIR)$(AUTOLOAD_DIR)
++	cp $(GLIBNAME) $(DESTDIR)$(AUTOLOAD_DIR)
++	cp $(OLIBNAME) $(DESTDIR)$(AUTOLOAD_DIR)
+ 
+ clean:
+ 	rm -f $(OLIBNAME) $(GLIBNAME) *.o


=====================================
debian/patches/rpath deleted
=====================================
@@ -1,19 +0,0 @@
-From: Francesco Paolo Lovergine <frankie at debian.org>
-Subject: Add rpath in solib to allow using the internal path of grass stuff.
-Forwarded: not-needed
-
---- a/Makefile.in
-+++ b/Makefile.in
-@@ -34,10 +34,10 @@ distclean: clean
- 
- 
- $(GLIBNAME):	grass.o
--	$(LD_SHARED) $(LDFLAGS) grass.o $(LIBS) -o $(GLIBNAME)
-+	$(LD_SHARED) $(LDFLAGS) grass.o $(LIBS) -o $(GLIBNAME) -Wl,-rpath,/usr/lib/grass80/lib
- 
- $(OLIBNAME):	ogrgrassdriver.o ogrgrassdatasource.o ogrgrasslayer.o
--	$(LD_SHARED) $(LDFLAGS) ogrgrassdriver.o ogrgrassdatasource.o ogrgrasslayer.o $(LIBS) -o $(OLIBNAME)
-+	$(LD_SHARED) $(LDFLAGS) ogrgrassdriver.o ogrgrassdatasource.o ogrgrasslayer.o $(LIBS) -o $(OLIBNAME) -Wl,-rpath,/usr/lib/grass80/lib
- 
- %.o:	%.cpp
- 	$(CXX) $(CXXFLAGS) $(CPPFLAGS) $(CFLAGS) -c -o $@ $<


=====================================
debian/patches/series
=====================================
@@ -1 +1,2 @@
-rpath
+destdir.patch
+debug-symbols.patch


=====================================
debian/rules
=====================================
@@ -10,6 +10,10 @@ export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 # Don't link with as-needed to prevent missing libraries
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--no-as-needed
 
+ifeq (,$(DEB_HOST_MULTIARCH))
+  DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+endif
+
 PKGNAME=$(shell grep Package: debian/control | head -1 | cut -d' ' -f2)
 GRASS=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2))
 GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2,3 | sed -e 's/RC/-/'))
@@ -17,38 +21,14 @@ GRASS_ABI=grass$(subst .,,$(shell pkg-config --modversion grass | cut -d. -f1,2,
 %:
 	dh $@
 
-override_dh_autoreconf:
-	mv configure configure.pre-autoreconf
-	dh_autoreconf
-
-override_dh_autoreconf_clean:
-	dh_autoreconf_clean
-	if [ -e "configure.pre-autoreconf" ]; then \
-		mv configure.pre-autoreconf configure ; \
-	fi
-
 override_dh_auto_configure:
-	# Abort if source and gdal have not the same versions.
-	if [ `gdal-config --version` != `cat VERSION` ]; then \
-		echo "GDAL version and GDAL GRASS plugin version are not aligned. Please, upload a proper plugin source version."; \
-		exit 1; \
-	fi
-
 	dh_auto_configure -- \
-	                  --prefix=/usr \
-	                  --with-autoload=/usr/lib/gdalplugins \
+	                  --with-autoload=/usr/lib/$(DEB_HOST_MULTIARCH)/gdalplugins \
 	                  --with-grass=/usr/lib/$(GRASS) \
 	                  --with-postgres-includes=$(shell pg_config --includedir)
 
-override_dh_auto_install:
-	dh_auto_install -- AUTOLOAD_DIR=$(CURDIR)/debian/$(PKGNAME)/usr/lib/gdalplugins
-
 override_dh_shlibdeps:
 	dh_shlibdeps -l.:/usr/lib/$(GRASS)/lib
 
-override_dh_strip:
-	# Debug files contain no debug symbols
-	dh_strip --no-automatic-dbgsym
-
 override_dh_gencontrol:
 	dh_gencontrol -- -Vgrass:Depends="$(GRASS_ABI)"


=====================================
debian/upstream/metadata
=====================================
@@ -0,0 +1,5 @@
+---
+Bug-Database: https://github.com/OSGeo/gdal-grass/issues
+Bug-Submit: https://github.com/OSGeo/gdal-grass/issues/new
+Repository: https://github.com/OSGeo/gdal-grass.git
+Repository-Browse: https://github.com/OSGeo/gdal-grass


=====================================
debian/watch
=====================================
@@ -2,6 +2,6 @@ version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
-dirversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
-https://download.osgeo.org/gdal/(3\.4\.\d+\w*)/ \
-(?:|.*/)gdal(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
+filenamemangle=s/(?:.*\/)?(?:rel|v|gdal-grass)?[\-\_]?(\d[\d\-\.]+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/gdal-grass-$1.$2/ \
+https://github.com/OSGeo/gdal-grass/tags \
+(?:.*?/archive/(?:.*?/)?)?(?:rel|v|gdal-grass)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))


=====================================
grass.cpp
=====================================
@@ -57,7 +57,7 @@ char *GPJ_grass_to_wkt( const struct Key_Value *,
 
 #define GRASS_MAX_COLORS 100000  // what is the right value
 
-CPL_CVSID("$Id: grass.cpp a832da5b936bac8438f9c50e7c20e563fd94c9ff 2020-09-22 13:06:27 +0200 Markus Neteler $")
+CPL_CVSID("$Id$")
 
 /************************************************************************/
 /*                         Grass2CPLErrorHook()                         */


=====================================
ogrgrass.h
=====================================
@@ -1,5 +1,5 @@
 /******************************************************************************
- * $Id: ogrgrass.h a832da5b936bac8438f9c50e7c20e563fd94c9ff 2020-09-22 13:06:27 +0200 Markus Neteler $
+ * $Id$
  *
  * Project:  OpenGIS Simple Features Reference Implementation
  * Purpose:  Private definitions for OGR/GRASS driver.


=====================================
ogrgrassdatasource.cpp
=====================================
@@ -31,7 +31,7 @@
 #include "cpl_conv.h"
 #include "cpl_string.h"
 
-CPL_CVSID("$Id: ogrgrassdatasource.cpp a832da5b936bac8438f9c50e7c20e563fd94c9ff 2020-09-22 13:06:27 +0200 Markus Neteler $")
+CPL_CVSID("$Id$")
 
 
 /************************************************************************/


=====================================
ogrgrassdriver.cpp
=====================================
@@ -30,7 +30,7 @@
 #include "cpl_conv.h"
 #include "cpl_string.h"
 
-CPL_CVSID("$Id: ogrgrassdriver.cpp 1761acd90777d5bcc49eddbc13c193098f0ed40b 2020-10-01 12:12:00 +0200 Even Rouault $")
+CPL_CVSID("$Id$")
 
 /************************************************************************/
 /*                          ~OGRGRASSDriver()                           */


=====================================
ogrgrasslayer.cpp
=====================================
@@ -31,7 +31,7 @@
 #include "ogrgrass.h"
 #include "cpl_conv.h"
 
-CPL_CVSID("$Id: ogrgrasslayer.cpp 5163a8056bee931f5bc8e72676d90092cdd1d760 2021-08-12 22:25:24 +0200 Even Rouault $")
+CPL_CVSID("$Id$")
 
 /************************************************************************/
 /*                           OGRGRASSLayer()                            */



View it on GitLab: https://salsa.debian.org/debian-gis-team/gdal-grass/-/compare/b32ed11298fcf4dfef3140341f7c2941fc0143ad...14ba4380028e43e2cabc6af4536ab4d2487639fa

-- 
View it on GitLab: https://salsa.debian.org/debian-gis-team/gdal-grass/-/compare/b32ed11298fcf4dfef3140341f7c2941fc0143ad...14ba4380028e43e2cabc6af4536ab4d2487639fa
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-grass-devel/attachments/20220506/fbb2960d/attachment-0001.htm>


More information about the Pkg-grass-devel mailing list